# Uses of Interface
java.lang.reflect.Member

Packages that use Member
Package
Description
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.

## Uses of Member in java.lang.invoke

Methods in java.lang.invoke with type parameters of type Member
Modifier and Type
Method
Description
`<T extends Member>
T`
MethodHandleInfo.`reflectAs(Class<T> expected, MethodHandles.Lookup lookup)`
Reflects the underlying member as a method, constructor, or field object.
`static <T extends Member>
T`
MethodHandles.`reflectAs(Class<T> expected, MethodHandle target)`
Performs an unchecked "crack" of a direct method handle.

## Uses of Member in java.lang.reflect

Classes in java.lang.reflect that implement Member
Modifier and Type
Class
Description
`final class`
`Constructor<T>`
`Constructor` provides information about, and access to, a single constructor for a class.
`class`
`Executable`
A shared superclass for the common functionality of `Method` and `Constructor`.
`final class`
`Field`
A `Field` provides information about, and dynamic access to, a single field of a class or an interface.
`final class`
`Method`
A `Method` provides information about, and access to, a single method on a class or interface.